Retrieves the type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

company_type
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the type

string

Required

description

Description of the type

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization

Response Formats

application/json, text/json

Sample:
{
  "id": "40e9f6ee-e6e7-4f5f-a705-d06ae758f9be",
  "name": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "9fc3fe43-220b-456a-9205-099ddbf246d1",
  "sales_organization_code": "sample string 5"
}